local root=
{
    conf_index={
        sid_6=6,
        sid_13=13,
        sid_5=5,
        sid_12=12,
        sid_8=8,
        sid_11=11,
        sid_7=7,
        sid_10=10,
        sid_2=2,
        sid_17=17,
        sid_1=1,
        sid_16=16,
        sid_4=4,
        sid_15=15,
        sid_3=3,
        sid_14=14,
        sid_18=18,
        sid_9=9,
        sid_0=0
    },
    conf={
        {
            maxLevel=0,
            icon="match0.png",
            description="sample_matchTechnology_des_0",
            troop=0,
            sid=0,
            roleLvBase=0,
            atkAdd=0,
            needNum=0,
            rankUp=0,
            name="sample_matchTechnology_name_0",
            rank=0,
            typeValue=0,
            _id=0,
            lifeAdd=0
        },
        {
            maxLevel=160,
            icon="match1.png",
            description="sample_matchTechnology_des_1",
            troop=20,
            sid=1,
            baseType=1,
            roleLvBase=2,
            atkAdd=10,
            needNum=20,
            rankUp=30,
            attributeType=100,
            name="sample_matchTechnology_name_1",
            rank=1,
            typeValue=0.1,
            _id=1,
            lifeAdd=10
        },
        {
            maxLevel=160,
            icon="match2.png",
            description="sample_matchTechnology_des_2",
            troop=40,
            sid=2,
            baseType=2,
            roleLvBase=2,
            atkAdd=20,
            needNum=20,
            rankUp=1000,
            attributeType=100,
            name="sample_matchTechnology_name_2",
            rank=2,
            typeValue=0.1,
            _id=2,
            lifeAdd=20
        },
        {
            maxLevel=160,
            icon="match3.png",
            description="sample_matchTechnology_des_3",
            troop=60,
            sid=3,
            baseType=4,
            roleLvBase=2,
            atkAdd=30,
            needNum=20,
            rankUp=1500,
            attributeType=100,
            name="sample_matchTechnology_name_3",
            rank=3,
            typeValue=0.1,
            _id=3,
            lifeAdd=30
        },
        {
            maxLevel=160,
            icon="match4.png",
            description="sample_matchTechnology_des_4",
            troop=80,
            sid=4,
            baseType=8,
            roleLvBase=2,
            atkAdd=40,
            needNum=20,
            rankUp=2000,
            attributeType=100,
            name="sample_matchTechnology_name_4",
            rank=4,
            typeValue=0.1,
            _id=4,
            lifeAdd=40
        },
        {
            maxLevel=160,
            icon="match5.png",
            description="sample_matchTechnology_des_5",
            troop=100,
            sid=5,
            baseType=1,
            roleLvBase=2,
            atkAdd=50,
            needNum=30,
            rankUp=2500,
            attributeType=108,
            name="sample_matchTechnology_name_5",
            rank=5,
            typeValue=0.1,
            _id=5,
            lifeAdd=50
        },
        {
            maxLevel=160,
            icon="match6.png",
            description="sample_matchTechnology_des_6",
            troop=120,
            sid=6,
            baseType=2,
            roleLvBase=2,
            atkAdd=60,
            needNum=30,
            rankUp=3000,
            attributeType=108,
            name="sample_matchTechnology_name_6",
            rank=6,
            typeValue=0.1,
            _id=6,
            lifeAdd=60
        },
        {
            maxLevel=160,
            icon="match7.png",
            description="sample_matchTechnology_des_7",
            troop=140,
            sid=7,
            baseType=4,
            roleLvBase=2,
            atkAdd=70,
            needNum=30,
            rankUp=3500,
            attributeType=108,
            name="sample_matchTechnology_name_7",
            rank=7,
            typeValue=0.1,
            _id=7,
            lifeAdd=70
        },
        {
            maxLevel=160,
            icon="match8.png",
            description="sample_matchTechnology_des_8",
            troop=160,
            sid=8,
            baseType=8,
            roleLvBase=2,
            atkAdd=80,
            needNum=30,
            rankUp=4000,
            attributeType=108,
            name="sample_matchTechnology_name_8",
            rank=8,
            typeValue=0.1,
            _id=8,
            lifeAdd=80
        },
        {
            maxLevel=160,
            icon="match9.png",
            description="sample_matchTechnology_des_9",
            troop=180,
            sid=9,
            baseType={1,2,4,8},
            roleLvBase=2,
            atkAdd=90,
            needNum=60,
            rankUp=4500,
            attributeType=102,
            name="sample_matchTechnology_name_9",
            rank=9,
            typeValue=0.5,
            _id=9,
            lifeAdd=90
        },
        {
            maxLevel=160,
            icon="match10.png",
            description="sample_matchTechnology_des_10",
            troop=200,
            sid=10,
            baseType={1,2,4,8},
            roleLvBase=2,
            atkAdd=100,
            needNum=60,
            rankUp=5000,
            attributeType=103,
            name="sample_matchTechnology_name_10",
            rank=10,
            typeValue=0.5,
            _id=10,
            lifeAdd=100
        },
        {
            maxLevel=160,
            icon="match11.png",
            description="sample_matchTechnology_des_11",
            troop=220,
            sid=11,
            baseType={1,2,4,8},
            roleLvBase=2,
            atkAdd=110,
            needNum=60,
            rankUp=5500,
            attributeType=106,
            name="sample_matchTechnology_name_11",
            rank=11,
            typeValue=0.5,
            _id=11,
            lifeAdd=110
        },
        {
            maxLevel=160,
            icon="match12.png",
            description="sample_matchTechnology_des_12",
            troop=240,
            sid=12,
            baseType={1,2,4,8},
            roleLvBase=2,
            atkAdd=120,
            needNum=60,
            rankUp=6000,
            attributeType=107,
            name="sample_matchTechnology_name_12",
            rank=12,
            typeValue=0.5,
            _id=12,
            lifeAdd=120
        },
        {
            maxLevel=160,
            icon="match13.png",
            description="sample_matchTechnology_des_13",
            troop=260,
            sid=13,
            baseType=1,
            roleLvBase=2,
            atkAdd=130,
            needNum=80,
            rankUp=6500,
            attributeType={100,108},
            name="sample_matchTechnology_name_13",
            rank=13,
            typeValue=0.1,
            _id=13,
            lifeAdd=130
        },
        {
            maxLevel=160,
            icon="match14.png",
            description="sample_matchTechnology_des_14",
            troop=280,
            sid=14,
            baseType=2,
            roleLvBase=2,
            atkAdd=140,
            needNum=80,
            rankUp=7000,
            attributeType={100,108},
            name="sample_matchTechnology_name_14",
            rank=14,
            typeValue=0.1,
            _id=14,
            lifeAdd=140
        },
        {
            maxLevel=160,
            icon="match15.png",
            description="sample_matchTechnology_des_15",
            troop=300,
            sid=15,
            baseType=4,
            roleLvBase=2,
            atkAdd=150,
            needNum=80,
            rankUp=7500,
            attributeType={100,108},
            name="sample_matchTechnology_name_15",
            rank=15,
            typeValue=0.1,
            _id=15,
            lifeAdd=150
        },
        {
            maxLevel=160,
            icon="match16.png",
            description="sample_matchTechnology_des_16",
            troop=320,
            sid=16,
            baseType=8,
            roleLvBase=2,
            atkAdd=160,
            needNum=80,
            rankUp=8000,
            attributeType={100,108},
            name="sample_matchTechnology_name_16",
            rank=16,
            typeValue=0.1,
            _id=16,
            lifeAdd=160
        },
        {
            maxLevel=160,
            icon="match17.png",
            description="sample_matchTechnology_des_17",
            troop=340,
            sid=17,
            baseType={1,2,4,8},
            roleLvBase=2,
            atkAdd=180,
            needNum=130,
            rankUp=9000,
            attributeType={102,106},
            name="sample_matchTechnology_name_17",
            rank=17,
            typeValue=0.5,
            _id=17,
            lifeAdd=180
        },
        {
            maxLevel=160,
            icon="match18.png",
            description="sample_matchTechnology_des_18",
            troop=360,
            sid=18,
            baseType={1,2,4,8},
            roleLvBase=2,
            atkAdd=200,
            needNum=130,
            rankUp=10000,
            attributeType={103,107},
            name="sample_matchTechnology_name_18",
            rank=18,
            typeValue=0.5,
            _id=18,
            lifeAdd=200
        }
    }
}
return root