local lead = {
    {
        tag = "init",
        go = 0,
        step = {}
    },
    {
        tag = "buidingTank",
        go = 0,
        step = {
            {
                info = "guide_tip_1",
                offest = { 0, 25, -90, -120 },
                node = { "buildings", "tank1" },
                back = "showPanel"
            },
            {
                info = "guide_tip_2",
                offest = { 0, 0, 0, 0 },
                node = { "tab", 1, "box1", 1, "node", "btn1" },
                back = "createBuild",
                save = "true"
            }
        }
    },
    {
        tag = "makeTank",
        go = 0,
        step = {
            {
                info = "guide_tip_4",
                offest = { 0, 25, -90, -120 },
                node = { "buildings", "tank1" },
                time = 1,
                back = "showPanel"
            },
            {
                info = "guide_tip_5",
                offest = { 0, 0, 0, 0 },
                node = { "tab", 1, "tab2", "btn" },
                back = "cut"
            },
            {
                info = "guide_tip_6",
                offest = { 0, 0, 0, 0 },
                node = { "box", 1, 1, "box2", 1, 1, 1, 2, "bg" },
                action = "oneTank",
                back = "tankItemBig"
            },
            {
                info = "guide_tip_7",
                offest = { 0, 0, 0, 0 },
                node = { "box", 1, 1, "box2", 1, 1, 1, 1, 1, 1, "btn3" },
                back = "makeArm",
                time = 1,
                save = "true"
            },
            {
                info = "guide_tip_9",
                offest = { 0, 0, 0, 0 },
                node = { "closeBtn" },
                back = "hide"
            }
        },
    },
    {
        tag = "checkPoint",
        go = 0,
        step = {
            {
                info = "guide_tip_10",
                offest = { 0, 0, 0, 0 },
                node = { "menu", "box", "checkPoint" },
                back = "showNewCP"
            },
            {
                info = "guide_tip_11",
                offest = { 0, 0, 0, 0 },
                node = { "cpitem_1" },
                back = "chapter"
            },
            {
                info = "guide_tip_12",
                offest = { 0, 0, 0, 0 },
                node = { "storyItem_1", "clickBg" },
                back = "team"
            },
            {
                info = "guide_tip_13",
                offest = { 0, 0, 0, 0 },
                node = { "tab", 1, "box1", 1, 1, "maxBtn" },
                back = "doMaxPower"
            },
            {
                info = "guide_tip_14",
                offest = { 0, 0, 0, 0 },
                node = { "tab", 1, "box1", 1, 1, "fightBtn" },
                back = "fight",
                save = "true"
            },
			{
                offest = { 0, 0, 0, 0 },
                node = { "skip" },
                back = "fireCom",
                hide = "true",
                time = 0
            },
            {
                info = "guide_tip_15",
                offest = { 0, 0, 0, 0 },
                node = { "tip", 1, 1, "closeBtn" },
                back = "warEndWin"
            },
            {
                info = "guide_tip_16",
                offest = { 25, 0, -20, 0 },
                node = { "cp2_closeBtn" },
                back = "cp2_closeBtn"
            },
            {
                info = "guide_tip_17",
                offest = { 0, 0, 0, 0 },
                node = { "cp1_closeBtn" },
                back = "cp1_closeBtn"
            }
        }
    },
    {
        tag = "createMine1",
        go = 0,
        step = {
            {
                info = "guide_tip_18",
                offest = { 0, 0, 0, 0 },
                node = { "menu", "s1" },
                back = "baseCut"
            },
            {
                info = "guide_tip_19",
                offest = { 0, 0, 0, 0 },
                node = { "root", 1, 2, 1, 1, 1, "box", 3, 1, 1 },
                back = "showPanel"
            },
            {
                info = "guide_tip_20",
                offest = { 0, 0, 0, 0 },
                node = { "minePanel1", "title", "bg" },
                back = "lead_mine_change"
            },
            {
                info = "guide_tip_21",
                offest = { 0, 0, 0, 0 },
                node = { "minePanel1", "needNode", "btn3" },
                back = "createBuild",
                save = 0;
                time = 1
            },
        }
    },
    {
        tag = "createMine2",
        go = 1,
        step = {
            {
                info = "guide_tip_18",
                offest = { 0, 0, 0, 0 },
                node = { "menu", "s1" },
                back = "baseCut"
            },
            {
                info = "guide_tip_22",
                offest = { 0, 0, 0, 0 },
                node = { "root", 1, 2, 1, 1, 1, "box", 1, 1, 1 },
                back = "showPanel"
            },
            {
                info = "guide_tip_23",
                offest = { 0, 0, 0, 0 },
                node = { "minePanel2", "title", "bg" },
                back = "lead_mine_change"
            },
            {
                info = "guide_tip_24",
                offest = { 0, 0, 0, 0 },
                node = { "minePanel2", "needNode", "btn3" },
                back = "createBuild",
                save = "true",
                time = 1
            },
        }
    },
    {
        tag = "createMine3",
        go = 1,
        step = {
            {
                info = "guide_tip_18",
                offest = { 0, 0, 0, 0 },
                node = { "menu", "s1" },
                back = "baseCut"
            },
            {
                info = "guide_tip_25",
                offest = { 0, 0, 0, 0 },
                node = { "root", 1, 2, 1, 1, 1, "box", 2, 1, 1 },
                back = "showPanel"
            },
            {
                info = "guide_tip_26",
                offest = { 0, 0, 0, 0 },
                node = { "minePanel3", "title", "bg" },
                back = "lead_mine_change"
            },
            {
                info = "guide_tip_27",
                offest = { 0, 0, 0, 0 },
                node = { "minePanel3", "needNode", "btn3" },
                back = "createBuild",
                save = "true",
                time = 1
            },
            {
                info = "guide_tip_29",
                offest = { 0, 0, 0, 0 },
                node = { "menu", "s1" },
                back = "baseCut"
            },
            {
                info = "guide_tip_29",
                offest = { 0, 0, 0, 0 },
                node = { "menu", "s1" },
                back = "baseCut"
            },
        }
    },
    {
        tag = "home",
        go = 0,
        step = {
            {
                info = "guide_tip_30",
                offest = { 0, -10, -220, -120 },
                node = { "buildings", "base" },
                time = 1,
                back = "baseInfo"
            },
            {
                info = "guide_tip_31",
                offest = { 0, 0, 0, 0 },
                node = { "tab", 1, "box1", 1, "node", "btn1" },
                back = "buildUp",
                save = "true"
            },
            {
                info = "guide_tip_32",
                offest = { 0, 0, 0, 0 },
                node = { "closeBtn" },
                back = "hide"
            }
        },
    },
    {
        tag = "task1",
        go = 0,
        step = {
            {
                info = "guide_tip_33",
                offest = { 0, 5, -10, -7 },
                node = { "icon", "taskNormal" },
                back = "openTask"
            },
            {
                info = "guide_tip_34",
                offest = { 0, 0, -20, -10 },
                node = { "tab", "box1", 1, 1, 1, 3, "btnPanel", "giftBtn" },
                back = "SC_TASK_INFO",
                save = "true"
            },
            {
                info = "guide_tip_jl1",
                offest = { -10, -20, 0, 0 },
                node = { "tip", 1, 3, 1 },
                back = "hide"
            }
        },
    },
    {
        tag = "task2",
        go = 1,
        step = {
            {
                info = "guide_tip_33",
                offest = { 0, 5, -10, -7 },
                node = { "icon", "taskNormal" },
                back = "openTask"
            },
            {
                info = "guide_tip_35",
                offest = { 0, 0, -20, -10 },
                node = { "tab", "box1", 1, 1, 1, 2, "btnPanel", "giftBtn" },
                back = "SC_TASK_INFO",
                save = "true"
            },
            {
                info = "guide_tip_jl2",
                offest = { 0, 0, -20, -10 },
                node = { "tip", 1, 3, 1 },
                back = "hide"
            },
            {
                info = "guide_tip_36",
                offest = { 0, 0, 0, 0 },
                node = { "closeBtn" },
                back = "hide"
            },
        },
    },
    --    {
    --        tag = "skill",
    --        go = 0,
    --        step = {
    --            {
    --                info = "lead1",
    --                offest = { 0, 0, 0, -20 },
    --                node = { "part/BaseTop.csb", "face" },
    --                back = "playerInfo2"
    --            },
    --            {
    --                info = "lead6",
    --                offest = { 0, 0, 0, 0 },
    --                node = { "tab", 1, "tab2", "btn" },
    --                back = "cut"
    --            },
    --            {
    --                info = "lead6",
    --                offest = { 0, 0, 0, 0 },
    --                node = { "pages/yueDuPage/YueDuBaiKePanel.csb", "btn_1" },
    --                back = "upGradeReadLv",
    --                save = "true",
    --            },
    --            {
    --                info = "lead6",
    --                offest = { 0, 0, 0, 0 },
    --                node = { "closeBtn" },
    --                back = "hide"
    --            }
    --        },
    --    },
    {
        tag = "mine",
        go = 0,
        step = {
            {
                info = "guide_tip_44",
                offest = { 0, 0, 0, 0 },
                node = { "icon", "icon1", "icon" },
                back = "showPanel"
            },
            {
                info = "guide_tip_45",
                offest = { 0, 0, 0, 0 },
                node = { "fe_tool", "bg" },
                back = "mine_item_change"
            },
            {
                info = "guide_tip_46",
                offest = { 0, 0, 0, 0 },
                node = { "fe_tool", "btn" },
                back = "SC_BUFF_PROPS_LIST_INFO",
                save = "true",
                time = 1
            },
            {
                info = "guide_tip_44",
                offest = { 0, 0, 0, 0 },
                node = { "closeBtn" },
                back = "hide"
            }
        },
    },
    {
        tag = "over",
        go = 0,
        step = {},
    }
}
return lead;
